#define GLUE(a, b)  a##b
#define PORT(x)    			GLUE(PORT, x)
#define PIN(x)    			GLUE(PIN, x)
#define DDR(x)    			GLUE(DDR, x)
#define pinSET(x,y) 		PORT(x) |=(1<<y)
#define pinCLR(x,y) 		PORT(x)&=~(1<<y)
#define pinTOG(x,y) 		PORT(x)^=(1<<y)
#define pinDIRin(x,y) 		DDR(x)&=~(1<<y)
#define pinDIRout(x,y) 		DDR(x)|=(1<<y)
#define pinVAL(x,y) 		(PIN(x)&(1<<y))
#define u8x  uint8_t
#define pinPULLUP(x,y,z) 	(z)?(PORT(x)|=(1<<y)):(PORT(x)&=~(1<<y))//0_no 

#define wait  _delay_ms(1000)

#define led1_tog 	pinTOG(LED1_port,LED1_pin)
#define led1_on   	pinSET(LED1_port,LED1_pin)
#define led1_off   	pinCLR(LED1_port,LED1_pin)
#define led1_blink {led1_tog;_delay_ms(300);led1_tog;_delay_ms(300);led1_tog;\
		_delay_ms(300);led1_tog;_delay_ms(300);led1_off;}
#define led1_init 	pinDIRout(LED1_port,LED1_pin);led1_blink;



#define LED1_port  	D
#define LED1_pin 	0

extern uint8_t owx_tx_buffer[30];
extern uint8_t owx_rx_buffer[30];
